import * as React from 'react';
import { FormCheckProps } from 'react-bootstrap';
import { ReplaceProps } from 'react-bootstrap/helpers';
interface FormikCheckBaseProps extends FormCheckProps {
    name: string;
}
declare type FormikCheckProps<As extends React.ElementType = 'input'> = {
    as?: As;
} & ReplaceProps<As, FormikCheckBaseProps>;
export declare function fieldToFormCheck({ disabled, custom, id, name, ...props }: FormikCheckProps): FormCheckProps;
export declare const FormikCheck: <As extends React.ElementType<any> = "input">(props: FormikCheckProps<As>) => JSX.Element;
export default FormikCheck;
